# H225_NonIsoIntegrityMechanism Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_hMAC_MD5, e_hMAC_iso10118_2_s, e_hMAC_iso10118_2_l, e_hMAC_iso10118_3 }

## Public Member Functions

| H225_NonIsoIntegrityMechanism (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_EncryptIntAlg & ()
| operator const H225_EncryptIntAlg & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_NonIsoIntegrityMechanism::Choices

Enumerator:

  e_hMAC_MD5 |
  e_hMAC_iso10118_2_s |
  e_hMAC_iso10118_2_l |
  e_hMAC_iso10118_3 |

## Constructor & Destructor Documentation

H225_NonIsoIntegrityMechanism::H225_NonIsoIntegrityMechanism | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_NonIsoIntegrityMechanism::operator H225_EncryptIntAlg & | ( |  | ) |

H225_NonIsoIntegrityMechanism::operator const H225_EncryptIntAlg & | ( |  | ) | const

PBoolean H225_NonIsoIntegrityMechanism::CreateObject | ( |  | ) |

PObject* H225_NonIsoIntegrityMechanism::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h